const Axios     = require('axios')
const Future    = require('fluture')
const Immutable = require('seamless-immutable')
const Maybe     = require('ramda-fantasy').Maybe
const R         = require('ramda')
const RA        = require('ramda-adjunct')

const A = [
    { candidate_id: '59100', job_title: 'Officer' },
    { candidate_id: '12345', job_title: 'Candlestick Maker' },
]

const B = [
    { candidate_id: '12345', job_title: 'Cook' },
    { candidate_id: '12345', job_title: 'Chef' },
    { candidate_id: '12345', job_title: 'Pilot' },
    { candidate_id: '12345', job_title: 'Teacher' },
    { candidate_id: '12344', job_title: 'Chef' },
    { candidate_id: '12341', job_title: 'Construction' },
]

const byId = R.groupBy(R.prop('candidate_id'))

R.compose(R.values, R.useWith(R.merge, [byId, byId]))(A, B);
